Subject: bug#5294: 23.1; unload-feature disable minor-mode

From: Kevin Ryde <[email-masked]>
Date: Wed, 06 Jan 2010 12:01:04 +1100

Juanma Barranquero <[email-masked]> writes:
>
> How is passing that test (presumibly, either a form or a predicate
> function) to define-minor-mode better than putting it into
> FEATURE-unload-function?

Principally that define-minor-mode knows what things it did and
therefore should be undone, or why they might not be undone at the
present time.  I think it would be rather repetitive to be obliged to
write a FOO-unload-function whenever making a minor mode.

Which, err, presumes that there may be standardized things that should
be considered and/or undone for unloading a mode.  I see you say there's
normally not -- where I say there could be a disable or a caution to
avoid likely breakage, removal from the minor modes menu, etc.